/*
	JFrame klasse som viser terreng 
*/
import java.awt.*;
import java.awt.event.*;
import javax.swing.*;

public class TerrengFrame extends JFrame 
{

	Terreng canvas;
   
	//Array med texturenavn	
						//vanntexture  himmeltexture bakketexture
  String[] text = {"water.jpg", "clouds.gif", "ground01.jpe"};
  
	//Antall ganger tekstur skal bli gjentatt
						//Bakke   Vann	Himmel
	float[] repeat = {30.0f, 20.0f, 5.0f};
 	
	//Bakgrunnsfarge
	float[] farge = {0.9f, 0.9f, 0.9f};

	Image bilde;
	Image water;
		
public TerrengFrame() 
{
	super("Terreng-engine"); 
 	setSize(600, 600);
	addWindowListener(new CloseWindowAndExit());	
	
	//Laste grskalabilde til bakke
	bilde = Toolkit.getDefaultToolkit().getImage("ground128.gif");
  
	//Laste grskalabilde til vann
	water = Toolkit.getDefaultToolkit().getImage("water128.gif");
  MediaTracker mt = new MediaTracker(this);
      mt.addImage(bilde, 0);
      try { 
         mt.waitForID(0);} catch(InterruptedException e) {}
         
         mt.addImage(water, 1);
      try { 
         mt.waitForID(1);} catch(InterruptedException e) {}
	setupGUI(); 
}

public static void main(String[] args) 
{
	TerrengFrame frame = new TerrengFrame(); 
	frame.show(); 
}

public void setupGUI()
{
	Container c = getContentPane();
	c.setLayout(new FlowLayout());

  //Setter opp parametere for  generere terreng
							//bredde hoyde bakke vann  wpos 		stride 	wavediff heightdiff skyheight 	skylow 	texture gjenta egentekst tke bakfarge
	canvas = new Terreng(600, 600, bilde, water, 15000.0f, 8000.0f, 2000.0f, 90000.0f, 100000.0f, -50000.0f, text, repeat, false, false, farge);   

	//Legg p terreng
	c.add(canvas);  
}


}

